#define MyAppName "Web Client Demo"
#define MyAppVersion "1.0"
#define MyAppPublisher "Delphi Day"
#define MyAppURL "https://www.delphiday.it/"
#define MyAppExeName "WebClient.exe"

[Setup]
AppId={{E6F6B661-27CB-4ED6-8219-17328FDB4797}
AppName={#MyAppName}
AppVersion={#MyAppVersion}
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}
AppUpdatesURL={#MyAppURL}
DefaultDirName={pf}\Delphi Day\Web Client
DefaultGroupName=Delphi Day\Web Client
AllowNoIcons=yes
OutputDir=Output
OutputBaseFilename=webclient_setup
Compression=lzma
SolidCompression=yes

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"
Name: "italian"; MessagesFile: "compiler:Languages\Italian.isl"

[Files]
Source: "..\Application\Win32\Release\WebClient.exe"; DestDir: "{app}"; Flags: ignoreversion

[Icons]
Name: "{group}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"
Name: "{group}\{cm:UninstallProgram,{#MyAppName}}"; Filename: "{uninstallexe}"

[Run]
Filename: "{app}\WebClient.exe"; Parameters: "/register"; StatusMsg: "Registrazione del client per l'esecuzione dei comandi"

[UninstallRun]
Filename: "{app}\WebClient.exe"; Parameters: "/unregister"; StatusMsg: "Rimozione della registrazione per la gestione dei comandi"
