unit WebClient.Commands.Check;

interface

uses
  WebClient.Base.Command;

type

  TCommandCheck = class (TCommand)
  public
    procedure Execute; override;
  end;

implementation

uses
  System.Classes,
  WebClient.Resources.Strings,
  WebClient.Services.Messages;

procedure TCommandCheck.Execute;
begin
  TMessageBoxService.Info(StrFunctionCheckMessage);
end;

initialization

  System.Classes.RegisterClass(TCommandCheck);

end.
